Bug 250546 - multimedia/kodi-devel: update to 19.0a2-Matrix / 19.0.a20201006
Summary: multimedia/kodi-devel: update to 19.0a2-Matrix / 19.0.a20201006
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Bernhard Froehlich
URL: https://kodi.tv/article/kodi-19x-matr...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-22 23:13 UTC by rozhuk.im
Modified: 2021-01-19 20:19 UTC (History)
4 users (show)

See Also:


Attachments
kodi (5.44 KB, patch)
2020-10-22 23:13 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff
joystick (4.04 KB, patch)
2020-10-22 23:14 UTC, rozhuk.im
rozhuk.im: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2020-10-22 23:13:23 UTC
Created attachment 218990 [details]
kodi
Comment 1 rozhuk.im 2020-10-22 23:14:22 UTC
Created attachment 218991 [details]
joystick
Comment 2 Fernando Apesteguía freebsd_committer 2020-10-23 16:58:26 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 3 Bernhard Froehlich freebsd_committer 2020-12-30 13:38:06 UTC
I'll take it.
Comment 4 Bernhard Froehlich freebsd_committer 2020-12-30 13:40:41 UTC
It seems the Bug stalled for around 2 months. Do you want to update the patch before I commit it?
Comment 5 Bernhard Froehlich freebsd_committer 2021-01-14 15:50:09 UTC
This update will also affect the other kodi-devel addons:
multimedia/kodi-addon-inputstream.adaptive-devel
multimedia/kodi-addon-vfs.libarchive-devel
Comment 6 Bernhard Froehlich freebsd_committer 2021-01-15 12:50:52 UTC
multimedia/kodi-addon-peripheral.joystick-devel: Update to 1.7.1 is included and builds fine
https://ports.bluelife.at/builds/20210114-15:49:16.18549/

multimedia/kodi-addon-inputstream.adaptive-devel: only needs a PORTREVISION bump but seems to be fine otherwise
https://ports.bluelife.at/builds/20210114-15:48:50.33683/

multimedia/kodi-addon-vfs.libarchive-devel: breaks and needs an update
https://ports.bluelife.at/builds/20210114-15:49:40.44584/
Comment 7 commit-hook freebsd_committer 2021-01-19 20:13:41 UTC
A commit references this bug:

Author: decke
Date: Tue Jan 19 20:13:37 UTC 2021
New revision: 562073
URL: https://svnweb.freebsd.org/changeset/ports/562073

Log:
  multimedia/kodi-devel: Update to 19.0.a20201006

  PR:		250546
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/multimedia/kodi-devel/Makefile
  head/multimedia/kodi-devel/distinfo
  head/multimedia/kodi-devel/pkg-plist
Comment 8 commit-hook freebsd_committer 2021-01-19 20:16:43 UTC
A commit references this bug:

Author: decke
Date: Tue Jan 19 20:16:04 UTC 2021
New revision: 562074
URL: https://svnweb.freebsd.org/changeset/ports/562074

Log:
  multimedia/kodi-addon-peripheral.joystick-devel: Update to 1.7.1

  PR:		250546
  Submitted by:	rozhuk.im@gmail.com (maintainer)

Changes:
  head/multimedia/kodi-addon-peripheral.joystick-devel/Makefile
  head/multimedia/kodi-addon-peripheral.joystick-devel/distinfo
  head/multimedia/kodi-addon-peripheral.joystick-devel/pkg-plist
Comment 9 Bernhard Froehlich freebsd_committer 2021-01-19 20:19:51 UTC
Committed. Thanks!